/* -------------------------- ALL -------------------------- */

.menu{
    width: auto;
}


/* -- -- -- -- -- HEADER- MENU - DÉBUT -- -- -- -- -- */

body:not(.home) #header .menu .menu .menu-item > a {
    color: var(--black);
}

body:not(.home) #header .menu .menu-item.button {
    border: 1px solid var(--black);
}

#header {
    padding: 30px 35px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 2;
}

.message + #header {
    padding-top: 75px;
}

#header > .logoLink {
    max-width: 122px;
    max-height: 59px;
    display: block;
}

#header > .logoLink > .logo{
    aspect-ratio: 122/59;
    width: 100%;
    height: auto;
    object-fit: contain;
}

#header .menu .menu-item:not(.button) {
    display: none;
}

#header .menu .menu-item.button {
    border: 1px solid var(--light);
    background-color: transparent;
    padding: 10px 28px;
    border-radius: 0px;
}

#header .menu .menu-item.button a {
    color: var(--light);
    font-family: var(--ffMMe);
    text-transform: uppercase;
}

@media (width > 991px) {
    #header {
        justify-content: center;
    }

    #header .menu .menu .menu-item {
        display: block;
    }

    #header > .logoLink {
        display: none;
    }

    #header .menu {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 48px;
    }

    #header {
        padding-block: 30px 15px;
        border-bottom: 1px solid var(--light);
        width: 90%;
        margin-inline: 5%;
    }

    #header .menu .menu .menu-item.logo > a {
        display: block;
        color: transparent;
        aspect-ratio: 122/59;
        width: 122px;
        height: auto;
        background-image: url("../img/logo.svg");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

    #header .menu .menu .menu-item > a {
        font-family: var(--ffMMe);
        font-size: 12px;
        line-height: .875rem;
        text-transform: uppercase;
        color: var(--light);
        transition: font-family .25s ease;
        display: block;
        position: relative;
    }

    #header .menu .menu .menu-item > a::before {
        content: attr(data-text);
        font-family: var(--ffMBo);
        height: 0;
        visibility: hidden;
        overflow: hidden;
        user-select: none;
        pointer-events: none;
        display: block;
    }

    #header .menu .menu-item.button {
        position: absolute;
        right: 0px;
        padding: 10px 15px;
        line-height: .875rem;
        width: fit-content;
    }
}

@media (width > 1199px) {
    #header .menu .menu-item.button {
        padding: 10px 30px;
    }

    #header .menu .menu .menu-item > a {
        font-size: .9375rem;
        line-height: 1.125rem;
    }
}

@media (width > 1499px) {
    #header {
        width: 100%;
        position: relative;
    }

    .message + #header {
        padding-top: 30px;
    }
}

@media (pointer: fine) {
    #header .menu .menu .menu-item:hover > a {
        font-family: var(--ffMBo);
        transition: font-family .25s ease;
    }
}

/* -- -- -- -- -- HEADER- MENU - FIN -- -- -- -- -- */